# Agora macOS Tutorial for Swift - 1to1

*其他语言版本： [简体中文](README.md)*

The Agora macOS Tutorial for Swift 1to1 Sample App is an open-source demo that will help you get video chat integrated directly into your macOS applications using the Agora Video SDK.

With this sample app, you can:

- Join / leave channel
- Mute / unmute audio
- Mute / unmute video
- Device selection
- Screen share

This demo is written in **Swift**, you can find **Objective-C** version here: [Agora-macOS-Tutorial-Objective-C-1to1](https://github.com/AgoraIO/Agora-macOS-Tutorial-Objective-C-1to1)

A full-fledged demo can be found here: [OpenVideoCall-macOS](https://github.com/AgoraIO/OpenVideoCall-macOS)

Agora Video SDK supports iOS / Android / Windows / macOS etc. You can find demos of these platform here:

- [Agora-iOS-Tutorial-Swift-1to1](https://github.com/AgoraIO/Agora-iOS-Tutorial-Swift-1to1)
- [Agora-Android-Tutorial-1to1](https://github.com/AgoraIO/Agora-Android-Tutorial-1to1)
- [Agora-Windows-Tutorial-1to1](https://github.com/AgoraIO/Agora-Windows-Tutorial-1to1)

## Running the App
First, create a developer account at [Agora.io](https://dashboard.agora.io/signin/), and obtain an App ID. Update "AppID.swift" with your App ID.

```
let AppID = "Your App ID"
```



Finally, Open Agora Mac Tutorial Swift.xcodeproj, setup your development signing and run.

## Developer Environment Requirements
* XCode 8.0 +

## Connect Us

- You can find full API document at [Document Center](https://docs.agora.io/en/)
- You can fire bugs about this demo at [issue](https://github.com/AgoraIO/Agora-macOS-Tutorial-Swift-1to1/issues)

## License

The MIT License (MIT).
